%define name paragui
%define version	1.0.1
%define release 0.cvs.2mdk
%define lib_name_orig libparagui
%define lib_major 1.0
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: Graphical User Interface based on SDL
Version: %{version}
Release: %{release}
License: LGPL
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
URL: http://www.bms-austria.com/projects/paragui/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libSDL-devel libpng-devel libSDL_image-devel libtiff-devel

%description
ParaGUI is a cross-platform high-level application framework and GUI
(graphical user interface) library. ParaGUI's cross-platform nature is
completely based on the Simple DirectMedia Layer (SDL).

%package -n %{lib_name}
Summary: Main library for paragui
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release} %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with paragui.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use paragui
Group: Development/C
Requires: %{lib_name} = %{version} libexpat-devel
Provides: %{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use paragui, a GUI on top of SDL.

%prep
%setup -q

%build
%configure2_5x --program-prefix=
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc README
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.?a
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}

%changelog
* Wed Mar  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-0.cvs.2mdk
- fix summary, refine requires for devel package

* Wed Mar  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-0.cvs.1mdk
- first mdk package
